Bug 660024 - Review Request: libepsilon - Powerful wavelet image compressor
Summary: Review Request: libepsilon - Powerful wavelet image compressor
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: viji
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 660023 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-05 02:50 UTC by Volker Fröhlich
Modified: 2011-01-15 23:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-15 23:51:05 UTC


Attachments (Terms of Use)

Description Volker Fröhlich 2010-12-05 02:50:15 UTC
Spec URL: http://www.geofrogger.net/review/libepsilon.spec
SRPM URL: http://www.geofrogger.net/review/libepsilon-0.8.1-1.fc13.src.rpm

Description:

EPSILON is a powerful OpenSource wavelet image compressor.
Wavelet-driven compressors are know to be much more effective
than traditional DCT-based ones (like JPEG). At the moment,
the program supports 30+ different wavelet filters, runs
in parallel in multi-threaded and MPI environments, can
process HUGE images and much more.

Comment 1 Volker Fröhlich 2010-12-05 02:51:14 UTC
*** Bug 660023 has been marked as a duplicate of this bug. ***

Comment 2 viji 2010-12-06 16:51:25 UTC
Looks fine, few things:

1. Can we have the following support as well, I am sure that there will be a bug report if don not build the libraries with these, better to handle this time.

--enable-pthreads       Enable POSIX threads support [default=no]
--enable-cluster        Enable cluster mode [default=no]
--enable-mpi            Enable MPI support [default=no]

2. Include the licence file also, COPYING,  in doc

Comment 3 Volker Fröhlich 2011-01-15 23:51:05 UTC
I'm putting this on hold, since MPI is not trivial and the package I need this library for, is not available yet in the version we need.


Note You need to log in before you can comment on or make changes to this bug.